Page MenuHomePhabricator

Properly abort MediaViewer preload requests
Closed, ResolvedPublic

Description

Whenever the user navigates to some image in MediaViewer, it starts preloading the next image. These requests are never aborted; when quickly navigating over dozens of images, they pile up and make things very slow. Unnecessary AJAX queries should be properly aborted.

Given how much our architecture relies on promises, this probably won't be easy.

Event Timeline

Tgr created this task.Nov 26 2014, 1:09 AM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added projects: MediaViewer, Multimedia.
Tgr changed Security from none to None.
Tgr added a subscriber: Tgr.
Gilles triaged this task as High priority.Nov 26 2014, 4:15 PM
Gilles added a subscriber: Gilles.

For the sake of people with metered/capped bandwidth plans, this is very important.

Tgr lowered the priority of this task from High to Medium.Dec 11 2014, 12:45 AM

Lowering priority as we do not plan to work on this anytime soon.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:31 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 6:31 PM

Mass-removing the Multimedia tag from MediaViewer tasks, as this is now being worked on by the Reading department, not Editing's Multimedia team.

dr0ptp4kt closed this task as Resolved.Jul 7 2016, 5:12 PM
dr0ptp4kt claimed this task.
dr0ptp4kt lowered the priority of this task from Medium to Low.
dr0ptp4kt moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
dr0ptp4kt added a subscriber: dr0ptp4kt.

Downgrading to Low for now. MWV not being actively worked on from the consumption standpoint.

Tgr added a comment.Jul 19 2016, 12:31 AM

@dr0ptp4kt was this closed intentionally? Still seems like one of the more worthwhile fixes to MV, IMO.

I think the mark-as-resolved was an error. Feel free to re-open. The downgrade from Normal to Low was intentional based on the not-actively-worked rationale.

Restricted Application added a project: Multimedia. · View Herald TranscriptMar 6 2018, 11:50 PM